# Copyright 2010 (c) Canonical, Ltd.

import os
from distutils.core import setup

# If setuptools is present, use it to find_packages(), and also
# declare our dependency on epsilon.
extra_setup_args = {}
try:
    import setuptools
    from setuptools import find_packages
    extra_setup_args["install_requires"] = ["nose", "mocker", "Paste"]
except ImportError:
    def find_packages():
        """
        Compatibility wrapper.

        Taken from storm setup.py.
        """
        packages = []
        for directory, subdirectories, files in os.walk("convoy"):
            if '__init__.py' in files:
                packages.append(directory.replace(os.sep, '.'))
        return packages

setup(
    name="convoy",
    version="0.2.0",
    description="A combo WSGI application for use with YUI",
    author="Canonical Javascripters",
    url="https://launchpad.net/convoy",
    license="AGPL",
    packages=find_packages(),
    include_package_data=True,
    zip_safe=False,
    test_suite="nose.collector",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Environment :: Web Environment",
        "Intended Audience :: Developers",
        "Intended Audience :: Information Technology",
        "License :: OSI approved :: GNU Affero General Public License v3",
        "Programming Language :: Python",
        "Topic :: Internet :: WWW/HTTP",
       ],
    **extra_setup_args
    )

